# Uses of Interface
org.eclipse.ecf.core.security.IConnectInitiatorPolicy

Packages that use IConnectInitiatorPolicy
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.provider.generic

## Uses of IConnectInitiatorPolicy in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject with parameters of type IConnectInitiatorPolicy
Modifier and Type
Method
Description
`void`
ISharedObjectContainerClient.`setConnectInitiatorPolicy(IConnectInitiatorPolicy policy)`
Set the connect initiator policy handler for authentication policy

## Uses of IConnectInitiatorPolicy in org.eclipse.ecf.provider.generic

Fields in org.eclipse.ecf.provider.generic declared as IConnectInitiatorPolicy
Modifier and Type
Field
Description
`protected IConnectInitiatorPolicy`
ClientSOContainer.`connectPolicy`
Methods in org.eclipse.ecf.provider.generic with parameters of type IConnectInitiatorPolicy
Modifier and Type
Method
Description
`void`
ClientSOContainer.`setConnectInitiatorPolicy(IConnectInitiatorPolicy policy)`